Discounts:
  post:
    tags:
      - discounts
    operationId: createDiscount
    x-lg-handler: 'App\Http\ApiV1\Modules\Discounts\Controllers\DiscountsController@create'
    summary: Создание объекта типа Discount
    description: Создание объекта типа Discount
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/discounts.yaml#/CreateDiscountRequest'
    responses:
      "201":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/discounts.yaml#/DiscountResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
DiscountOne:
  get:
    tags:
      - discounts
    operationId: getDiscount
    x-lg-handler: 'App\Http\ApiV1\Modules\Discounts\Controllers\DiscountsController@get'
    summary: Получение объекта типа Discount
    description: Получение объекта типа Discount
    parameters:
      - $ref: '../index.yaml#/components/parameters/PathId'
      - $ref: '../index.yaml#/components/parameters/QueryInclude'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/discounts.yaml#/DiscountResponse'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
  patch:
    tags:
      - discounts
    operationId: patchDiscount
    x-lg-handler: 'App\Http\ApiV1\Modules\Discounts\Controllers\DiscountsController@patch'
    summary: Обновления части полей объекта типа Discount
    description: Обновления части полей объекта типа Discount
    parameters:
      - $ref: '../index.yaml#/components/parameters/PathId'
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/discounts.yaml#/PatchDiscountRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/discounts.yaml#/DiscountResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
  delete:
    tags:
      - discounts
    operationId: deleteDiscount
    x-lg-handler: 'App\Http\ApiV1\Modules\Discounts\Controllers\DiscountsController@delete'
    x-lg-skip-request-generation: true
    summary: Удаление объекта типа Discount
    description: Удаление объекта типа Discount
    parameters:
      - $ref: '../index.yaml#/components/parameters/PathId'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: '../index.yaml#/components/schemas/EmptyDataResponse'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
DiscountSearch:
  post:
    tags:
      - discounts
    operationId: searchDiscounts
    x-lg-handler: 'App\Http\ApiV1\Modules\Discounts\Controllers\DiscountsController@search'
    x-lg-skip-request-generation: true
    summary: Поиск объектов типа Discount
    description: Поиск объектов типа Discount
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/discounts.yaml#/SearchDiscountsRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/discounts.yaml#/SearchDiscountsResponse'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
DiscountMassStatusUpdate:
  post:
    tags:
      - discounts
    operationId: massDiscountsStatusUpdate
    x-lg-handler: 'App\Http\ApiV1\Modules\Discounts\Controllers\DiscountsController@massStatusUpdate'
    summary: Массовое обновление статусов для объектов типа Discount
    description: Массовое обновление статусов для объектов типа Discount
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/discounts.yaml#/MassDiscountsStatusUpdateRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: '../index.yaml#/components/schemas/EmptyDataResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'

DiscountProductsEdit:
  post:
    tags:
      - discount-relations
    operationId: patchDiscountProducts
    x-lg-handler: 'App\Http\ApiV1\Modules\Discounts\Controllers\DiscountRelationsController@patchProducts'
    parameters:
      - $ref: '../index.yaml#/components/parameters/PathId'
    summary: Обновление только заданных продуктов в скидке
    description: Обновление только заданных продуктов в скидке
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/discount_products.yaml#/PatchDiscountProductsRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: '../index.yaml#/components/schemas/EmptyDataResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
  delete:
    tags:
      - discount-relations
    operationId: deleteDiscountProducts
    summary: Удаление заданных продуктов в скидке
    description: Удаление заданных продуктов в скидке
    x-lg-handler: '\App\Http\ApiV1\Modules\Discounts\Controllers\DiscountRelationsController@deleteProducts'
    parameters:
      - $ref: '../common_parameters.yaml#/PathId'
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/discount_products.yaml#/DeleteDiscountProductsRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: '../index.yaml#/components/schemas/EmptyDataResponse'
      "400":
        $ref: "../index.yaml#/components/responses/BadRequest"
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'

DiscountProductsOne:
  get:
    tags:
      - discount-products
    operationId: getDiscountProduct
    x-lg-handler: 'App\Http\ApiV1\Modules\Discounts\Controllers\DiscountProductsController@get'
    summary: Получение объекта типа DiscountProduct
    description: Получение объекта типа DiscountProduct
    parameters:
      - $ref: '../index.yaml#/components/parameters/PathId'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/discount_products.yaml#/DiscountProductResponse'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
DiscountProductsSearch:
  post:
    tags:
      - discount-products
    operationId: searchDiscountProducts
    x-lg-handler: 'App\Http\ApiV1\Modules\Discounts\Controllers\DiscountProductsController@search'
    x-lg-skip-request-generation: true
    summary: Поиск объектов типа DiscountProduct
    description: Поиск объектов типа DiscountProduct
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/discount_products.yaml#/SearchDiscountProductsRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/discount_products.yaml#/SearchDiscountProductsResponse'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
